Retrieve Loader Extract Results
After submitting a request to extract object types from your Vault, you can query Vault to retrieve results of a specified job task.
GET
/api/{version}/services/loader/{job_id}/tasks/{task_id}/resultsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | text/csv |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
job_id | The id value of the requested extract job. |
task_id | The id value of the requested extract task. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.1/services/loader/61907/tasks/2/resultsResponse (CSV)
Section link for Response (CSV)file,rendition_type__v,id,name__v,type__v
/61915/50/0_1/renditions/viewable_rendition__v.pdf,viewable_rendition__v,50,Facts about High Cholesterol Spring 2016,Promotional Material
/61915/8/0_1/renditions/viewable_rendition__v.pdf,viewable_rendition__v,8,ashley-harvey,PersonnelResponse Details
Section link for Response DetailsOn SUCCESS, the response includes a CSV file of the results of a specific extract job task.